edu.sc.seis.sod.subsetter.request

## Class PrintlineRequest

- java.lang.Object
- - edu.sc.seis.sod.subsetter.AbstractPrintlineProcess
  - - edu.sc.seis.sod.subsetter.request.PrintlineRequest

- All Implemented Interfaces:
    SodElement, RequestSubsetter, Subsetter

      public class PrintlineRequest
      extends AbstractPrintlineProcess
      implements RequestSubsetter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_TEMPLATE`

    - ### Fields inherited from class edu.sc.seis.sod.subsetter.AbstractPrintlineProcess

      `filename, template, velocitizer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintlineRequest(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringTree` | `accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request, CookieJar cookieJar)`
    `java.lang.String` | `getDefaultTemplate()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_TEMPLATE

          public static final java.lang.String DEFAULT_TEMPLATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PrintlineRequest

          public PrintlineRequest(org.w3c.dom.Element config)
                           throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### accept

          public StringTree accept(edu.sc.seis.fissuresUtil.cache.CacheEvent event,
                                   edu.iris.Fissures.network.ChannelImpl channel,
                                   edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request,
                                   CookieJar cookieJar)
                            throws java.lang.Exception

      Specified by:
        `accept` in interface `RequestSubsetter`
      Throws:
        `java.lang.Exception`

    - #### getDefaultTemplate

          public java.lang.String getDefaultTemplate()

      Specified by:
        `getDefaultTemplate` in class `AbstractPrintlineProcess`